<?php
/**
*
* Extension Manager Plus. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2022, LukeWCS, https://www.wcsaga.org
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
* Note: This extension is 100% genuine handcraft and consists of selected
*       natural raw materials. There was no AI involved in making it.
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “

$lang = array_merge($lang, [
	// info table
	'EXTMGRPLUS_COL_AVAILABLE_EXTENSIONS'	=> 'Extensiones disponibles',
	'EXTMGRPLUS_COL_WITH_VERSIONCHECK'		=> 'Con comprobación de versiones',
	'EXTMGRPLUS_COL_LAST_VERSIONCHECK'		=> 'Comprobación de la última versión',
	'EXTMGRPLUS_COL_AVAILABLE_UPDATES'		=> 'Actualizaciones disponibles',
	'EXTMGRPLUS_AVAILABLE_EXTENSIONS' => [
		0									=> '%2$u',
		1									=> '%2$u (%1$u inválidas)',
	],
	'EXTMGRPLUS_VERSIONCHECK_DATE' => [
		0									=> '%2$s',
		1									=> '%2$s (%1$u errores)',
	],

	// link bar
	'EXTMGRPLUS_LINK_ORDER_AND_IGNORE'		=> 'Ordenar e ignorar',
	'EXTMGRPLUS_LINK_SAVE_CHECKBOXES'		=> 'Guardar',

	// settings order and ignore
	'EXTMGRPLUS_SECTION_SETTINGS'			=> 'Ajustes (Plus)',
	'EXTMGRPLUS_ORDER'						=> 'Orden',
	'EXTMGRPLUS_ORDER_EXPLAIN'				=> '%s Esta columna le permite definir grupos de órdenes en el rango de 0 a 99 para la acción “Habilitar lo seleccionado”. Esto permite que las extensiones de las que dependen otras extensiones se activen antes que ellas para evitar mensajes de error. Las extensiones que pertenecen a dicho grupo se activan primero, comenzando con el grupo 0, luego el grupo 1 y así sucesivamente. Las extensiones sin grupo se activan al final.',
	'EXTMGRPLUS_DEPENDENCY_EXPLAIN'			=> 'Una extensión se puede vincular a un grupo precediéndola con <code>+</code>. Por ejemplo, si tiene la extensión B que depende de la extensión A, puede ingresar <code>0</code> para A y <code>+0</code> para B. Si ambas extensiones están habilitadas, al seleccionar A también se seleccionará B. Si ambas extensiones están deshabilitadas, al seleccionar B también se seleccionará A.',
	'EXTMGRPLUS_IGNORE'						=> 'Ignorar',
	'EXTMGRPLUS_IGNORE_EXPLAIN'				=> '%s Esta columna le permite especificar qué extensiones deben ignorarse durante las acciones “Habilitar lo seleccionado” y “Deshabilitar lo seleccionado”. Las extensiones ignoradas ya no se pueden seleccionar en la lista de extensiones. Si se definió un grupo de órdenes para una extensión ignorada, se conserva, pero ya no tiene ningún significado.',

	// ext manager
	'EXTMGRPLUS_COL_MIGRATIONS'				=> 'Nuevas migraciones',
	'EXTMGRPLUS_COL_SELECT'					=> 'Seleccionar',
	'EXTMGRPLUS_COL_ORDER'					=> 'Ordenar',
	'EXTMGRPLUS_COL_IGNORE'					=> 'Ignorar',
	'EXTMGRPLUS_ALL_DISABLE'				=> 'Deshabilitar lo seleccionado',
	'EXTMGRPLUS_ALL_ENABLE'					=> 'Habilitar lo seleccionado',
	'EXTMGRPLUS_EXTENSIONS_ENABLED'			=> 'Extensiones habilitadas: %u',
	'EXTMGRPLUS_EXTENSIONS_DISABLED'		=> 'Extensiones deshabilitadas: %u',
	'EXTMGRPLUS_EXTENSIONS_NOT_INSTALLED'	=> 'Extensiones no instaladas: %u',

	// tooltips
	'EXTMGRPLUS_TOOLTIP_HAS_MIGRATION'		=> 'Esta extensión tiene nuevas migraciones que se aplican al activar la extensión.',
	'EXTMGRPLUS_TOOLTIP_OUTDATED'			=> 'La versión instalada de esta extensión no está actualizada.',
	'EXTMGRPLUS_TOOLTIP_VERSIONCHECK_ERROR'	=> 'Se produjo un error durante la comprobación de la versión. Clic en “Detalles” para saber más.',
	'EXTMGRPLUS_TOOLTIP_NO_VERSIONCHECK'	=> 'Esta extensión no proporciona verificación de versión.',
	'EXTMGRPLUS_TOOLTIP_IS_IGNORED'			=> 'Esta extensión es ignorada por “Extension Manager Plus”.',
	'EXTMGRPLUS_TOOLTIP_IS_LOCKED'			=> 'La selección de esta extensión está bloqueada debido a nuevas migraciones.',
	'EXTMGRPLUS_TOOLTIP_BUTTON_DISABLE'		=> 'Deshabilitar todas las extensiones seleccionadas.',
	'EXTMGRPLUS_TOOLTIP_BUTTON_ENABLE'		=> 'Habilitar todas las extensiones seleccionadas.',
	'EXTMGRPLUS_TOOLTIP_ORDER'				=> 'Orden de grupo en el rango 0-99.',
	'EXTMGRPLUS_TOOLTIP_IGNORE'				=> 'Ignorar extensión.',
	'EXTMGRPLUS_TOOLTIP_SELECT_ALL'			=> 'Marcar o desmarcar todas las extensiones.',
	'EXTMGRPLUS_TOOLTIP_SELECT'				=> 'Seleccionar extensión.',

	// misc
	'EXTMGRPLUS_EXTENSION_PLURAL' => [
		0									=> '0 extensiones',
		1									=> '1 extensión',
		2									=> '%u extensiones',
	],

	// messages
	'EXTMGRPLUS_MSG_CONFIRM_DISABLE'		=> '¿Está seguro de que desea deshabilitar %s?',
	'EXTMGRPLUS_MSG_CONFIRM_ENABLE'			=> '¿Está seguro de que desea habilitar %s?',
	'EXTMGRPLUS_MSG_ORDER_AND_IGNORE_SAVED'	=> 'Columnas de Orden e Ignorar guardadas correctamente.',
	'EXTMGRPLUS_MSG_CHECKBOXES_SAVED'		=> 'Selección de casillas de verificación guardada correctamente.',
	'EXTMGRPLUS_MSG_PROCESS_ABORTED'		=> 'La operación “%s” fue interrumpida por la siguiente extensión:',
	'EXTMGRPLUS_MSG_DEACTIVATION'			=> '%1$u de %2$u extensiones han sido deshabilitadas.',
	'EXTMGRPLUS_MSG_ACTIVATION'				=> '%1$u de %2$u extensiones han sido habilitadas.',
	'EXTMGRPLUS_MSG_ACTIVATION_FAILED'		=> 'No se pudieron activar las siguientes extensiones:',
	'EXTMGRPLUS_MSG_SAFE_TIME_EXCEEDED'		=> 'Se ha superado el rango de tolerancia (%u segundos) del tiempo máximo de ejecución de PHP.',
	'EXTMGRPLUS_MSG_SELF_DISABLE'			=> 'Nota: La extensión “Extension Manager Plus” también estará deshabilitada.',
	'EXTMGRPLUS_MSG_VERSIONCHECK_HINT'		=> 'Se están comprobando las extensiones en busca de nuevas versiones, por favor espere. %s',
]);
